=== debian/changelog ===
pcsx2 (1.3.1+dfsg-1build1) wily; urgency=medium

  * No-change rebuild against libwx*-0v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Aug 2015 12:30:38 +0200

pcsx2 (1.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Wed, 01 Jul 2015 03:11:46 -0400

pcsx2 (1.2.1-854-ga3cd81c+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #464794)

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Wed, 07 Jan 2015 17:54:20 -0500
