=== debian/control ===
Source: pcsx2
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Miguel A. Colón Vélez <debian.micove@gmail.com>
Build-Depends:
 cmake (>= 2.8.5~),
 debhelper (>= 9.20120419~),
 dpkg-dev (>= 1.16.2~),
 libaio-dev [linux-any],
 libasound2-dev [linux-any] | liboss4-salsa-dev [!linux-any],
 libbz2-dev,
 libegl1-mesa-dev,
 libgl1-mesa-dev | libgl-dev,
 libglew-dev,
 libglu1-mesa-dev | libglu-dev,
 libgtk2.0-dev,
 libjpeg-dev,
 libsdl1.2-dev,
 libsoundtouch-dev,
 libwxbase3.0-dev,
 libwxgtk3.0-dev,
 libx11-dev,
 portaudio19-dev,
 zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://pcsx2.net/
Vcs-Git: git://anonscm.debian.org/pkg-games/pcsx2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/pcsx2.git

Package: pcsx2
Architecture: i386
Depends:
 libc6-i686 [i386],
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 libasound2-plugins [linux-any]
Description: Playstation 2 emulator
 PCSX2 is a PlayStation 2 emulator for Windows and Linux.
 .
 WARNING: It requires a CPU with SSE2 instructions. If your CPU does not support
 this instruction set, it does not have enough horsepower to run this emulator.
 .
 This package includes the main binary, plug-ins and localization files.

Package: pcsx2-dbg
Section: debug
Priority: extra
Architecture: i386
Depends:
 pcsx2 (= ${binary:Version}),
 ${misc:Depends}
Description: Debug symbols for PCSX2
 PCSX2 is a PlayStation 2 emulator for Windows and Linux.
 .
 WARNING: It requires a CPU with SSE2 instructions. If your CPU does not support
 this instruction set, it does not have enough horsepower to run this emulator.
 .
 This package contains the debug symbols for the PCSX2 binary and plug-ins.
